import { __decorate, __metadata } from "tslib";
import { Component, ChangeDetectionStrategy, Input, ContentChildren, QueryList } from '@angular/core';
import { DataGridRowDefDirective } from '../data-grid-row-def.directive';
import { Required } from '@rxap/utilities';
import * as i0 from "@angular/core";
import * as i1 from "@angular/common";
import * as i2 from "@rxap/pipes";
export class DataGridReadonlyComponent {
}
DataGridReadonlyComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "12.0.1", ngImport: i0, type: DataGridReadonlyComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
DataGridReadonlyComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "12.0.1", type: DataGridReadonlyComponent, selector: "rxap-data-grid-readonly", inputs: { data: "data" }, host: { classAttribute: "rxap-data-grid-readonly" }, queries: [{ propertyName: "rows", predicate: DataGridRowDefDirective }], ngImport: i0, template: "<table>\n  <thead>\n  <tr>\n    <th>Label</th>\n    <th>Wert</th>\n  </tr>\n  </thead>\n  <tr *ngFor=\"let row of rows\">\n    <ng-container\n      *ngTemplateOutlet=\"\n          row.headerCell ? row.headerCell.template : defaultHeaderCell;\n          context: { $implicit: row.name }\n        \"\n    ></ng-container>\n    <ng-container\n      *ngTemplateOutlet=\"\n          row.cell ? row.cell.template : defaultCell;\n          context: { $implicit: data | getFromObject: row.name, data: data }\n        \"\n    ></ng-container>\n  </tr>\n</table>\n\n<ng-template #defaultCell let-value>\n  <td>{{ value }}</td>\n</ng-template>\n<ng-template #defaultHeaderCell let-name>\n  <th>{{ name }}</th>\n</ng-template>\n", styles: [""], directives: [{ type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet"] }], pipes: { "getFromObject": i2.GetFromObjectPipe }, changeDetection: i0.ChangeDetectionStrategy.OnPush });
__decorate([
    Required,
    __metadata("design:type", Object)
], DataGridReadonlyComponent.prototype, "data", void 0);
__decorate([
    Required,
    __metadata("design:type", QueryList)
], DataGridReadonlyComponent.prototype, "rows", void 0);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "12.0.1", ngImport: i0, type: DataGridReadonlyComponent, decorators: [{
            type: Component,
            args: [{
                    // tslint:disable-next-line:component-selector
                    selector: 'rxap-data-grid-readonly',
                    templateUrl: './data-grid-readonly.component.html',
                    styleUrls: ['./data-grid-readonly.component.scss'],
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    host: { class: 'rxap-data-grid-readonly' }
                }]
        }], propDecorators: { data: [{
                type: Input
            }], rows: [{
                type: ContentChildren,
                args: [DataGridRowDefDirective]
            }] } });
//# sourceMappingURL=data-grid-readonly.component.js.map